mdiobus_register
Prev | PHY Support | Next

## Name

mdiobus_register — bring up all the PHYs on a given bus and attach them to bus

## Synopsis

`int mdiobus_register (` | struct mii_bus * | bus`)`;

## Arguments

`bus`

  target mii_bus

## Description

Called by a bus driver to bring up all the PHYs on a given bus, and attach them to the bus.

Returns 0 on success or < 0 on error.

Prev | Up | Next
phy_probe | Home | mdio_bus_match